JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform
Class KeyboardUtils

    java.lang.Object
      com.sun.jna.platform.KeyboardUtils

    public class KeyboardUtils

extends java.lang.Object

Provide access to the local keyboard state. Note that this is meaningless on a headless system and some VNC setups.

Author:
  twall

Field Summary
`(package private) static com.sun.jna.platform.KeyboardUtils.NativeKeyboardUtils` `INSTANCE`

Constructor Summary
`KeyboardUtils()`

Method Summary
`static boolean` `isPressed(int keycode)`
`static boolean` `isPressed(int keycode, int location)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    static final com.sun.jna.platform.KeyboardUtils.NativeKeyboardUtils INSTANCE

Constructor Detail

### KeyboardUtils

    public KeyboardUtils()

Method Detail

### isPressed

    public static boolean isPressed(int keycode,
                                    int location)

### isPressed

    public static boolean isPressed(int keycode)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.